petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSSetSolutionFunction

Provide a function that computes the solution of the ODE or DAE

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetSolutionFunction(TS ts,PetscErrorCode (*f)(TS,PetscReal,Vec,void*),void *ctx)

Logically Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| f | - routine for evaluating the solution
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL)

### Calling sequence of func

        func (TS ts,PetscReal t,Vec u,void *ctx);

| t | - current timestep
| u | - output vector
| ctx | - [optional] user-defined function context

### Notes

This routine is used for testing accuracy of time integration schemes when you already know the solution. If analytic solutions are not known for your system, consider using the Method of Manufactured Solutions to create closed-form solutions with non-physical forcing terms.

For low-dimensional problems solved in serial, such as small discrete systems, TSMonitorLGError() can be used to monitor the error history.

### Keywords

TS, timestep, set, right-hand-side, function

### See Also

TSSetRHSJacobian(), TSSetIJacobian(), TSComputeSolutionFunction(), TSSetForcingFunction()

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages